ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Cohen <sco...@javactivity.org>
Subject Re: ant 1.6.1
Date Fri, 16 Jan 2004 14:04:14 GMT
On Friday 16 January 2004 4:56 am, Steve Loughran wrote:
> Steve Cohen wrote:
> > Another issue to consider.  I don't know if it's strictly a 1.6.1 issue
> > or further down the line but the ant developers should consider it.
> >
> > I have been working with the jakarta-commons/net project to create a more
> > capable system, able to detect what system its FTPClient class is
> > connecting with.   You may remember several complaints over the last
> > couple of months about our <ftp> task not working on non-unix ftp
> > servers.  The improvements in commons/net will allow the correct server
> > to be auto-detected in the most common cases, and in those odd cases
> > where this is not possible, it will be possible to indicate explicitly
> > which parser is to be used (i.e. in ant, a new parameter to the task).
> >
> > Thus it will be possible to rewrite our <ftp> task to solve these long
> > standing problems.
> >
> > This version of commons-net (1.2.0) has not yet been released but can
> > probably be released in less than a week.
> >
> > It seems from this thread that these changes will come too late for ant
> > 1.6.1. Please correct me if that's wrong.  Can someone tell me what
> > plans, if any, are contemplated for ant 1.6.2?
>
> I'd prefer to target this as a 1.7 rework, as it would have side effects
> (specifically, need a newer version of commons.net)
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org

To be honest, this is the response I was expecting, and it makes sense.  In 
fact, without any changes to Ant, simply dropping in the 1.2.0 release of 
commons-net (when it's released) will gain the advantage of autodetection for  
Unix, Windows NT, OS/2 and VMS ftp systems.  It is only for any outliers to 
this group that Ant would have to be recoded.  Realizing this, I would say 
it's better to wait until 1.7 (but why not 1.6.2?)




---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message